NetscapeCertType (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.misc

## Class NetscapeCertType

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1BitString
      - - org.bouncycastle.asn1.DERBitString
        - - org.bouncycastle.asn1.misc.NetscapeCertType

- All Implemented Interfaces:
    ASN1BitStringParser, ASN1Encodable, ASN1String, InMemoryRepresentable, Encodable

      public class NetscapeCertType
      extends DERBitString

  The NetscapeCertType object.

          NetscapeCertType ::= BIT STRING {
               SSLClient               (0),
               SSLServer               (1),
               S/MIME                  (2),
               Object Signing          (3),
               Reserved                (4),
               SSL CA                  (5),
               S/MIME CA               (6),
               Object Signing CA       (7) }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `objectSigning`
    `static int` | `objectSigningCA`
    `static int` | `reserved`
    `static int` | `smime`
    `static int` | `smimeCA`
    `static int` | `sslCA`
    `static int` | `sslClient`
    `static int` | `sslServer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetscapeCertType(ASN1BitString usage)`
    `NetscapeCertType(int usage)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasUsages(int usages)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.DERBitString

      `convert`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1BitString

      `getBitStream, getBytes, getBytes, getBytesLength, getInstance, getInstance, getLoadedObject, getOctets, getOctetStream, getPadBits, getPadBits, getString, getTagged, hashCode, intValue, isOctetAligned, parser`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable

      `toASN1Primitive`

- - ### Field Detail

    - #### sslClient

          public static final int sslClient

      See Also:
        Constant Field Values

    - #### sslServer

          public static final int sslServer

      See Also:
        Constant Field Values

    - #### smime

          public static final int smime

      See Also:
        Constant Field Values

    - #### objectSigning

          public static final int objectSigning

      See Also:
        Constant Field Values

    - #### reserved

          public static final int reserved

      See Also:
        Constant Field Values

    - #### sslCA

          public static final int sslCA

      See Also:
        Constant Field Values

    - #### smimeCA

          public static final int smimeCA

      See Also:
        Constant Field Values

    - #### objectSigningCA

          public static final int objectSigningCA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NetscapeCertType

          public NetscapeCertType(int usage)

      Basic constructor.
      Parameters:
        `usage` - - the bitwise OR of the Key Usage flags giving the allowed uses for the key. e.g. (X509NetscapeCertType.sslCA | X509NetscapeCertType.smimeCA)

    - #### NetscapeCertType

          public NetscapeCertType(ASN1BitString usage)

  - ### Method Detail

    - #### hasUsages

          public boolean hasUsages(int usages)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ASN1BitString`